=== debian/control ===
Source: gnugo
Section: user/games
Priority: optional
Maintainer: Rene Hexel <rhx@users.sourceforge.net>
Build-Depends: libncurses5-dev
Standards-Version: 3.7.2

Package: gnugo
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cgoban
Description: play the game of Go
 GNU Go is a free program that plays the game of Go, its homepage can
 be found at http://www.gnu.org/software/gnugo/. The program provides
 a text-only user interface, have a look at the cgoban or qgo package
 if you want to play on a graphical board.
 .
 Go is an ancient game originated from China, with a definite history
 of over 3000 years, although there are historians who say that the
 game was invented more than 4000 years ago. The Chinese call the game
 Weiqi, other names for Go include Baduk (Korean), Igo (Japanese), and
 Goe (Taiwanese).
 .
 In this game, each player tries to exert more influence on territory
 than her opponent, using threats of death, capture, or isolation. It
 is, therefore, a symbolic representation of the relationships between
 nations. Go is getting increasingly popular around the world,
 especially in Asian, European and American countries, with many
 worldwide competitions being held. 
 .
 The game of Go is played on a board. The Go set is comprised of the
 board, together with 181 black and 180 white stones. The standard
 board has 19 lines by 19 lines, but 13x13 and 9x9 boards can also be
 used. However, the 9x9 and 13x13 boards are usually for beginners;
 more advanced players would prefer the traditional 19x19 board. 
 .
 Compared to International Chess and Chinese Chess, Go has far fewer
 rules. Yet this allowed for all sorts of moves to be played, so Go
 can be a more intellectually challenging game than the other two
 types of Chess. Nonetheless, Go is not a difficult game to learn, so
 have a fun time playing the game with your friends. 
 .
 (adopted from http://senseis.xmp.net/?WhatIsGo)
