=== debian/rules ===
#!/usr/bin/make -f

testdir  = test -f engine/gnugo.h && test -f debian/rules
testroot = test x`whoami` = xroot

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean:
	$(testdir)
	rm -f  build
	-$(MAKE) distclean
	-cat `ls -r debian/patches/*.diff` /dev/null | patch -RENtp1 -r debian/rejected --no-backup-if-mismatch
	rm -f  debian/files debian/rejected debian/substvars doc/*.html
	rm -fr debian/gnugo

build:
	$(testdir)
	-cat debian/patches/*.diff | patch -Ntp1 -r debian/rejected --no-backup-if-mismatch
	./configure $(CONFFLAGS) --prefix=/usr --bindir=/usr/games --infodir=/usr/share/info --mandir=/usr/share/man
	$(MAKE)
# Add build-deps texinfo and tetex-bin if you enable this!
#	$(MAKE) -C doc gnugo.ps
# Add build-deps texi2html if you enable this!
#	cd doc && texi2html --split=chapter --output=. --Verbose gnugo.texi
#	touch $@

binary: binary-arch

binary-indep:

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/gnugo

	$(MAKE) install DESTDIR=${CURDIR}/debian/gnugo
	rm -f debian/gnugo/usr/share/info/dir*
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note debian/gnugo/usr/games/gnugo
endif
	install -d debian/gnugo/DEBIAN
	install -m 0755 debian/postinst debian/prerm debian/postrm debian/gnugo/DEBIAN
	cd debian/gnugo && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums

	chmod -R u+w,go=u-w debian/gnugo

	dpkg-shlibdeps debian/gnugo/usr/games/gnugo
	dpkg-gencontrol -isp -pgnugo -Pdebian/gnugo
	chmod 0644 debian/gnugo/DEBIAN/control
	dpkg --build debian/gnugo ..

.PHONY: clean binary binary-arch binary-indep
