=== debian/watch ===
version=2
ftp://sporadic.stanford.edu/pub/gnugo-(.*)\.tar\.gz debian
