=== debian/changelog ===
gnugo (3.8-13) unstable; urgency=low

  * Switched build system to debhelper.
  * Fixed dependencies, closes: #1013694.
  * Added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 25 Mar 2024 09:05:20 +0100

gnugo (3.8-12) unstable; urgency=low

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 24 Mar 2024 12:57:19 +0100

gnugo (3.8-11) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:47:37 +0200

gnugo (3.8-10) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes: #957288.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 08:59:59 +0200

gnugo (3.8-9) unstable; urgency=low

  * Made build reproducible, closes: #815601. Thanks to Reiner Herrmann.
  * Removed menu file according to #741573.
  * Removed full path from postinst and postrm.
  * Updated standards version, no changes necessary.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 23 Feb 2016 10:14:36 +0100

gnugo (3.8-8) unstable; urgency=low

  * Added menu and desktop file icons, closes: #737918.
  * Added site-start.d/50gnugo.el, closes: #756950. Thanks to Ivan Shmakov.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Aug 2014 22:23:03 +0200

gnugo (3.8-7) unstable; urgency=low

  * Added desktop file, closes: #708627.
  * Fixed build flags.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 16:19:45 +0100

gnugo (3.8-6) unstable; urgency=low

  * Fixed FTBFS, closes: #712338. Thanks to Bill Allombert.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 09 Nov 2013 18:24:59 +0100

gnugo (3.8-5) unstable; urgency=low

  * Switched to Debian source format 3.0 (quilt).
  * Updated dependencies, added quarry to suggestions.
  * Enabled regression tests.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 23 Apr 2011 11:58:53 +0200

gnugo (3.8-4) unstable; urgency=low

  * Fixed /usr/doc/gnugo removal, closes: #580329.
  * Removed install-info from maintainer scripts.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 May 2010 03:02:42 +0200

gnugo (3.8-3) unstable; urgency=low

  * Fixed newline handling with libreadline, closes: #557756.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 24 Nov 2009 21:18:36 +0100

gnugo (3.8-2) unstable; urgency=low

  * Updated build-dependencies.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Sep 2009 19:22:13 +0200

gnugo (3.8-1) unstable; urgency=low

  * New stable upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 19 Feb 2009 18:34:35 +0100

gnugo (3.8~rc1-3) unstable; urgency=low

  * Enabled libreadline support, closes: #296391.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2009 19:32:05 +0100

gnugo (3.8~rc1-2) unstable; urgency=low

  * Added texinfo to build-dependencies, closes: #515536.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2009 18:31:20 +0100

gnugo (3.8~rc1-1) unstable; urgency=low

  * New upstream development release, closes: #509868.
  * Updated copyright file.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 15 Feb 2009 13:05:15 +0100

gnugo (3.7.13-1) unstable; urgency=low

  * New upstream development release.
  * Updated clean target.
  * Added homepage control field, updated package description.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 27 Dec 2008 10:58:02 +0100

gnugo (3.7.12-1) unstable; urgency=low

  * New upstream development release.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Apr 2008 09:54:58 +0200

gnugo (3.7.11-2) unstable; urgency=low

  * http://trac.gnugo.org/gnugo/attachment/ticket/194/gunnar_7_12.2.diff
    Closes: #449311.
  * Mentioned, that commands may be abbreviated, closes: #296394.
  * Removed broken watch file, closes: #449783.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Dec 2007 19:54:55 +0100

gnugo (3.7.11-1) unstable; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 03 Nov 2007 10:02:05 +0100

gnugo (3.7.10-2) unstable; urgency=low

  * Updated gnugo.el from http://www.gnuvola.org/software/, closes: #435191.
  * Fixed timestamps.
  * Fixed distclean target.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 06 Oct 2007 10:54:50 +0200
