=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: gnugo
-Section: user/games
+Section: games
 Priority: optional
-Maintainer: Rene Hexel <rhx@users.sourceforge.net>
-Build-Depends: libncurses5-dev
-Standards-Version: 3.7.2
+Maintainer: Martin A. Godisch <godisch@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-exec, libncurses-dev, libreadline-dev, texinfo, texi2html
+Standards-Version: 4.6.2
+Homepage: http://www.gnu.org/software/gnugo/
 
 Package: gnugo
 Architecture: any
-Depends: ${shlibs:Depends}
-Suggests: cgoban
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: quarry | cgoban | qgo
 Description: play the game of Go
- GNU Go is a free program that plays the game of Go, its homepage can
- be found at http://www.gnu.org/software/gnugo/. The program provides
- a text-only user interface, have a look at the cgoban or qgo package
- if you want to play on a graphical board.
+ GNU Go is a free program that plays the game of Go. It provides a
+ text-only user interface, have a look at the cgoban or qgo package if
+ you want to play on a graphical board.
  .
  Go is an ancient game originated from China, with a definite history
  of over 3000 years, although there are historians who say that the
