=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f doc/gnugo_*.html doc/gnugo.info doc/gnugo.info-?

override_dh_auto_build:
	dh_auto_build
	cd doc && texi2html --split=chapter --output=. --Verbose gnugo.texi

override_dh_install:
	dh_install
	install -p -m 0755 -d debian/gnugo/usr/share/doc/gnugo/html
	install -p -m 0644 doc/*.html doc/*.png debian/gnugo/usr/share/doc/gnugo/html
