=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/gnugo gnugo-(.*)\.tar\.gz
